pdumodel::Pole_5_0_0 Struct Reference

An inlet or outlet pole. More...

`import"Pole.idl";`

## Public Attributes

string | label
| Pole label
PowerLine_2_0_0 | line
| Power line.
int | nodeId
| Circuit node id.
sensors::NumericSensor_4_0_3 | voltage
| RMS voltage sensor, L-L.
sensors::NumericSensor_4_0_3 | voltageLN
| RMS voltage sensor, L-N.
sensors::NumericSensor_4_0_3 | current
| RMS current sensor.
sensors::NumericSensor_4_0_3 | peakCurrent
| Peak current sensor.
sensors::NumericSensor_4_0_3 | activePower
| Active power sensor.
sensors::NumericSensor_4_0_3 | reactivePower
| Reactive power sensor.
sensors::NumericSensor_4_0_3 | apparentPower
| Apparent power sensor.
sensors::NumericSensor_4_0_3 | powerFactor
| Power factor sensor.
sensors::NumericSensor_4_0_3 | phaseAngle
| Phase angle sensor.
sensors::NumericSensor_4_0_3 | displacementPowerFactor
| Displacement power factor sensor.
sensors::NumericSensor_4_0_3 | activeEnergy
| Active energy sensor.
sensors::NumericSensor_4_0_3 | apparentEnergy
| Apparent energy sensor.
sensors::NumericSensor_4_0_3 | residualCurrent
| RMS current sensor.
sensors::NumericSensor_4_0_3 | residualDCCurrent
| DC Residual current sensor.
sensors::NumericSensor_4_0_3 | crestFactor
| Crest factor sensor.
ResidualCurrentStateSensor_2_0_3 | residualCurrentStatus
| Residual current monitor state sensor.

## Detailed Description

An inlet or outlet pole.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Pole.idl